## xtreamui-php 7.4.33

=== debian/changelog ===
xtreamui-php (1:7.4.33-20+ubuntu12.04.1+deb.sury.org+1) noble; urgency=medium

  * No-change backport to noble.

 -- Ondřej Surý <ondrej@debian.org>  Sun, 24 Nov 2024 09:41:15 +0100

php7.4 (1:7.4.33-16) unstable; urgency=medium

  * Backported from 8.1.31
   + Heap-Use-After-Free in sapi_read_post_data Processing in CLI SAPI
     Interface.
   + [CVE-2024-8932]: OOB access in ldap_escape.
   + [CVE-2024-11233]: Single byte overread with
     convert.quoted-printable-decode filter.     
   + [CVE-2024-11234]: Configuring a proxy in a stream context might allow
     for CRLF injection in URIs.
   + [CVE-2024-11236]: Integer overflow in the dblib quoter causing OOB
     writes.
   + [CVE-2024-11236]: Integer overflow in the firebird quoter causing OOB
     writes.

 -- Ondřej Surý <ondrej@debian.org>  Sun, 24 Nov 2024 09:33:42 +0100

php7.4 (1:7.4.33-15) unstable; urgency=medium

  * Backported from 8.1.30
   + [CVE-2024-8926]: Bypass of CVE-2024-4577, Parameter Injection
     Vulnerability
   + [CVE-2024-8927]: cgi.force_redirect configuration is bypassable due
     to the environment variable collision
   + [CVE-2024-8927]: Logs from FPM childrens may be altered
   + [CVE-2024-8925]: Erroneous parsing of multipart form data

 -- Ondřej Surý <ondrej@debian.org>  Fri, 27 Sep 2024 06:05:33 +0200

php7.4 (1:7.4.33-14) unstable; urgency=medium

  * Add Restart=on-failure to the systemd service file
  * Backported from 8.1.29
   + CVE-2024-4577: Bypass of CVE-2012-1823, Argument Injection in PHP-CGI

 -- Ondřej Surý <ondrej@debian.org>  Fri, 02 Aug 2024 17:51:13 +0200

php7.4 (1:7.4.33-13) unstable; urgency=medium

  * [CVE-2024-5458]: Filter bypass in filter_var FILTER_VALIDATE_URL

 -- Ondřej Surý <ondrej@debian.org>  Thu, 06 Jun 2024 18:26:50 +0200

php7.4 (1:7.4.33-12) unstable; urgency=medium

  * Fix the php-config mangling script in configure embeds the options in
    a single quote

 -- Ondřej Surý <ondrej@debian.org>  Thu, 23 May 2024 12:29:19 +0200

php7.4 (1:7.4.33-11) unstable; urgency=medium

  * Add -Wno-deprecated-declarations to CFLAGS to help Ubuntu 24.04 builds
  * Disable -Wall -pedantic for old PHP versions
  * Disable -Werror=implicit-function-declaration on old PHP versions

 -- Ondřej Surý <ondrej@debian.org>  Thu, 25 Apr 2024 03:02:49 +0200

php7.4 (1:7.4.33-10) unstable; urgency=medium

  * Backported from 8.1.28
   + CVE-2024-1874: Fixed bug GHSA-pc52-254m-w9w7 (Command injection via
     array-ish $command parameter of proc_open).
   + CVE-2024-2756: Fixed bug GHSA-wpj3-hf5j-x4v4 (__Host-/__Secure-
     cookie bypass due to partial CVE-2022-31629 fix).
   + CVE-2024-3096: Fixed bug GHSA-h746-cjrr-wfmr (password_verify can
     erroneously return true, opening ATO risk).

 -- Ondřej Surý <ondrej@debian.org>  Thu, 11 Apr 2024 23:09:49 +0200

php7.4 (1:7.4.33-9) unstable; urgency=medium

  [ Ondřej Surý ]
  * Remove hardcoded dependency on libmagic1 (Closes: #1065985)

  [ Andrey Rakhmatullin ]
  * Fix FTBFS with -Werror=implicit-function-declaration (Closes: #1066234).

 -- Ondřej Surý <ondrej@debian.org>  Sat, 16 Mar 2024 09:29:05 +0100

php7.4 (1:7.4.33-8) unstable; urgency=medium

  * Enable DTrace on all architectures

 -- Ondřej Surý <ondrej@debian.org>  Sat, 02 Sep 2023 09:02:02 +0200

php7.4 (1:7.4.33-7) unstable; urgency=medium

  * Backported from 8.0.30
   + CVE-2023-3823: Fixed bug GHSA-3qrf-m4j2-pcrr (Security issue with
     external entity loading in XML without enabling it).
   + CVE-2023-3824: Fixed bug GHSA-jqcx-ccgc-xwhv (Buffer mismanagement in
     phar_dir_read()).

 -- Ondřej Surý <ondrej@debian.org>  Mon, 14 Aug 2023 07:42:53 +0200

php7.4 (1:7.4.33-6) unstable; urgency=medium

  * Backported from 8.0.29
   + GHSA-76gg-c692-v2mw: Missing error check and insufficient random
     bytes in HTTP Digest authentication for SOAP.

 -- Ondřej Surý <ondrej@debian.org>  Thu, 08 Jun 2023 15:29:40 +0200

php7.4 (1:7.4.33-5) unstable; urgency=medium

  * Backported from 8.0.28
   + CVE-2023-0567: Fixed bug #81744 (Password_verify() always return true
     with some hash).
   + CVE-2023-0568: Fixed bug #81746 (1-byte array overrun in common path
     resolve code).
   + CVE-2023-0662: Fixed bug GHSA-54hq-v5wp-fqgv (DOS vulnerability when
     parsing multipart request body).

 -- Ondřej Surý <ondrej@debian.org>  Tue, 14 Feb 2023 18:52:39 +0100

php7.4 (1:7.4.33-3) unstable; urgency=medium

  * Fix GH-10187: Segfault in stripslashes() with arm64

 -- Ondřej Surý <ondrej@debian.org>  Fri, 13 Jan 2023 11:34:42 +0100

php7.4 (1:7.4.33-2) unstable; urgency=medium

  * Backported from 8.0.27
   + CVE-2022-31631: Fixed bug #81740 (PDO::quote() may return unquoted
     string).

 -- Ondřej Surý <ondrej@debian.org>  Fri, 06 Jan 2023 16:32:33 +0100

php7.4 (1:7.4.33-1) unstable; urgency=medium

  * New upstream version 7.4.33
   + CVE-2022-37454: buffer overflow in hash_update() on long parameter
   + CVE-2022-31630: OOB read due to insufficient input validation in
     imageloadfont()

 -- Ondřej Surý <ondrej@debian.org>  Tue, 08 Nov 2022 12:27:39 +0100

php7.4 (1:7.4.32-2) unstable; urgency=medium

  * Backported from PHP 7.4.33
   + CVE-2022-37454: buffer overflow in hash_update() on long parameter

 -- Ondřej Surý <ondrej@debian.org>  Fri, 28 Oct 2022 20:02:29 +0200

php7.4 (1:7.4.32-1) unstable; urgency=medium

  * New upstream version 7.4.32
   + CVE-2022-31628: phar wrapper: DOS when using quine gzip file.
   + CVE-2022-31629: Don't mangle HTTP variable names that clash with
     ones that have a specific semantic meaning.

 -- Ondřej Surý <ondrej@debian.org>  Thu, 29 Sep 2022 23:54:32 +0200

php7.4 (1:7.4.30-6) unstable; urgency=medium

  * Use media-types instead of mime-support (Closes: #1010155)
  * Make the build (mostly) reproducible (Closes: #1001648)
  * Export SED := /bin/sed in d/rules (Closes: #1015188)

 -- Ondřej Surý <ondrej@debian.org>  Sun, 18 Sep 2022 12:04:26 +0200

php7.4 (1:7.4.30-5) unstable; urgency=medium


